### Method

# Gtk Picture set_can_shrink

#### Declaration [src]

    void
    gtk_picture_set_can_shrink (
      GtkPicture* self,
      gboolean can_shrink
    )

#### Description [src]

If set to `TRUE`, then `self` can be made smaller than its contents.

The contents will then be scaled down when rendering.

If you want to still force a minimum size manually, consider using `gtk_widget_set_size_request()`.

Also of note is that a similar function for growing does not exist because the grow behavior can be controlled via `gtk_widget_set_halign()` and `gtk_widget_set_valign()`.

Sets property | `Gtk.Picture:can-shrink`

#### Parameters

`can_shrink`

  Type: `gboolean`

  If `self` can be made smaller than its contents.